Bug 192366 - security/strongswan 5.1.3 package incomplete & update to 5.2.0
Summary: security/strongswan 5.1.3 package incomplete & update to 5.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-04 00:29 UTC by dewayne
Modified: 2014-08-19 13:42 UTC (History)
2 users (show)

See Also:


Attachments
strongswan-5.2.0.patch (2.04 KB, patch)
2014-08-04 00:29 UTC, dewayne
no flags Details | Diff
strongswan 5.2.0 patch (22.86 KB, patch)
2014-08-19 08:06 UTC, strongswan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dewayne 2014-08-04 00:29:02 UTC
Created attachment 145324 [details]
strongswan-5.2.0.patch

Strongswan 5.1.3 on FreeBSD 9.3Stable i386/amd64 compiles and builds packages.  At runtime, the executables are (now) missing library files:
/usr/local/lib/ipsec/libcharon.so.0.0.0
/usr/local/lib/ipsec/libstrongswan.so.0.0.0
/usr/local/lib/ipsec/libhydra.so.0.0.0
/usr/local/lib/ipsec/libtls.so.0.0.0

While here, I updated the Makefile to strongswan 5.2.0.

The attached makefile updates the Makefile, adds required files for pkg-plist and updates distinfo.

5.2.0 has been tested to function correctly for FreeBSD 9.3 i386 and amdg64, Windows7 (IKEv2) and IOS (iphone) vpn's.
Comment 1 John Marino freebsd_committer 2014-08-04 08:29:44 UTC
Notify maintainer (CC) for approval
Comment 2 John Marino freebsd_committer 2014-08-18 20:08:31 UTC
maintainer timed out, moving to patch-ready status (maintainer approval no longer required)
Comment 3 strongswan 2014-08-19 08:06:48 UTC
Created attachment 146020 [details]
strongswan 5.2.0 patch

Updated the port to use strongSwan 5.2.0.

Fixed the package to install configuration files now correctly as samples so that existing configuration is not overwritten or removed incorrectly.

Added the missing missing library files:
/usr/local/lib/ipsec/libcharon.so.0.0.0
/usr/local/lib/ipsec/libstrongswan.so.0.0.0
/usr/local/lib/ipsec/libhydra.so.0.0.0
/usr/local/lib/ipsec/libtls.so.0.0.0

Removed duplication of various configuration files that was not necessary.

Was tested with FreeBSD 10.0 64-bit

Initial patch submitted was tested by dewayne@heuristicsystems for 
 FreeBSD 9.3 i386 and amd64, Windows7 (IKEv2) and IOS (iphone) vpn's.
Comment 4 John Marino freebsd_committer 2014-08-19 13:04:20 UTC
Heh, that got his attention. :)
Comment 5 strongswan 2014-08-19 13:07:52 UTC
(In reply to John Marino from comment #4)
> Heh, that got his attention. :)

Nope was just on leave and got back recently.
And there was another issue which caused a crash that I managed to fixed yesterday, before I wanted to submit the updated patch.
Comment 6 John Marino freebsd_committer 2014-08-19 13:30:19 UTC
It's not passing stage-qa.
If you are lucky, there's an install-strip target that will fix this.  I'll report back in minute.


====> Running Q/A tests (stage-qa)
Warning: 'lib/ipsec/plugins/libstrongswan-updown.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-pubkey.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-pkcs1.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-eap-ttls.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-whitelist.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-revocation.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-addrblock.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-random.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-stroke.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-hmac.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-pgp.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-fips-prf.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-pkcs8.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-kernel-pfkey.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-blowfish.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-attr.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-md5.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-cmac.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-resolve.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-rc2.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-x509.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-pem.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-sha1.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-sha2.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-eap-tls.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-eap-md5.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-xcbc.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-des.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-socket-default.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-kernel-pfroute.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-nonce.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-eap-identity.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-pkcs7.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-openssl.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-eap-peap.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-sshkey.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-pkcs12.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-md4.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-eap-mschapv2.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-dnskey.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-aes.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/plugins/libstrongswan-constraints.so' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/libtls.so.0.0.0' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/libcharon.so.0.0.0' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/libhydra.so.0.0.0' is not stripped consider using ${STRIP_CMD}
Warning: 'lib/ipsec/libstrongswan.so.0.0.0' is not stripped consider using ${STRIP_CMD}
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
Comment 7 John Marino freebsd_committer 2014-08-19 13:33:32 UTC
you guys got lucky:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
Comment 8 commit-hook freebsd_committer 2014-08-19 13:41:30 UTC
A commit references this bug:

Author: marino
Date: Tue Aug 19 13:40:32 UTC 2014
New revision: 365377
URL: http://svnweb.freebsd.org/changeset/ports/365377

Log:
  security/strongswan: Upgrade version 5.1.3 => 5.2.0

  While here, including missing library files and use install-strip
  target.  Maintainer added a crash fix patch while reviewing.

  PR:		192366
  Submitted by:	dewayne (heruristicssystems.com.au)
  Approved by:	maintainer (strongswan nanoteq.com)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/distinfo
  head/security/strongswan/files/patch-conf__Makefile.in
  head/security/strongswan/files/patch-src__libhydra__plugins__kernel_pfroute__kernel_pfroute_net.c
  head/security/strongswan/files/patch-src__starter__Makefile.in
  head/security/strongswan/pkg-plist
Comment 9 John Marino freebsd_committer 2014-08-19 13:42:10 UTC
thanks, all.